#ifdef ctl_dtc_c


void CAN_DTC_Data_Set(_DTC_Items_Type_ *pX,_DTC_Items_Type_ *pX_old);
void write_DTC_to_EEP(uint8_t dp);
void dtc_clear(void);
void dtc_read(void);
void dtc_control(void);
uint32_t dtc_string_to_code(uint16_t p);
uint16_t dtc_send_table_set(uint8_t type);
uint16_t dtc_count_set(void);
uint8_t is_dtc_found(uint32_t dtcc);
uint8_t is_dtc_exist(uint32_t dtcc);
uint8_t	dtc_found_and_clear(uint32_t dtcc);
void dtc_write(void);

#else

extern void CAN_DTC_Data_Set(_DTC_Items_Type_ *pX,_DTC_Items_Type_ *pX_old);
extern void write_DTC_to_EEP(uint8_t dp);
extern void dtc_clear(void);
extern void dtc_read(void);
extern void dtc_control(void);
extern uint32_t dtc_string_to_code(uint16_t p);
extern uint16_t dtc_send_table_set(uint8_t type);
extern uint16_t dtc_count_set(void);
extern uint8_t is_dtc_found(uint32_t dtcc);
extern uint8_t is_dtc_exist(uint32_t dtcc);
extern uint8_t	dtc_found_and_clear(uint32_t dtcc);
extern void dtc_write(void);


extern _DTC_Items_Type_		DTC_Item;			
extern _DTC_Items_Type_		DTC_Item_Old;
extern _DTC_Items_Type_		DTC_Item_wr;	
extern _DTC_Items_Type_		DTC_Item_wr_Old;		
extern _DTC_Items_Type_		DTC_Item_event;		
extern _DTC_Items_Type_		DTC_Item_event_Old;

extern _DTC_Items_Type_		DTC_Item_new;			


#endif


